Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001730ScribusShape Drawingpublic2005-02-25 18:572005-06-06 13:24
Reporterringerc 
Assigned Tocbradney 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86 LinuxOSFedora CoreOS Version3
Product Version1.2.2cvs 
Target VersionFixed in Version1.3.0cvs 
Summary0001730: Distribute/Align doesn't correctly distribute space
DescriptionThe distribute/align function doesn't appear to correctly distribute space between objects. It moves them a small distance but doesn't seem to actually distribute space as designed.
Steps To Reproduce- Open either of the two documents attached, or create your own with a small set of objects (for the purpose of this example, five squares).
- Select all the objects on the page
- Item->Distribute/Align
- Leave one axis on 'leave unchanged' and set the other to 'distribute evenly'. In this example I've left the vertical axis unchanged.
- Press 'Apply' or 'OK' (I used Apply)
- Note that the objects have been redistributed, but certainly not such that the space between them or distance between their centres/edges is distributed evenly.

Two sample documents are attached. For the 'spaced' case, before/after screenshots are included.
TagsNo tags attached.
Patch
Attached Files? file icon overlap.sla [^] (41,955 bytes) 2005-02-25 18:57
? file icon spaced.sla [^] (41,942 bytes) 2005-02-25 18:58
png file icon before.png [^] (16,612 bytes) 2005-02-25 19:00


png file icon after.png [^] (35,712 bytes) 2005-02-25 19:00

- Relationships

-  Notes
(0003828)
ringerc (administrator)
2005-02-25 19:00

I'll try to look into this. I'm going back to Uni on Monday though so it may be a while.
(0003848)
louisdesjardins (developer)
2005-03-02 03:50

Same here. (14 Feb 2005 build)

It occurs with the "distribute evenly" option.
As soon as you put a value, it works ok.
HTH
(0004265)
plinnell (administrator)
2005-04-16 15:21

Tested too and Louis is correct, adding a value makes it work correctly.
(0004785)
deftroyer (reporter)
2005-05-26 16:24

Just note. All distances between objects
are equal except of the first and last distance.
(0004894)
cbradney (administrator)
2005-06-04 19:16

Resolved with new palette, not with old. Old will go when new is complete.

- Issue History
Date Modified Username Field Change
2005-02-25 18:57 ringerc New Issue
2005-02-25 18:57 ringerc File Added: overlap.sla
2005-02-25 18:58 ringerc File Added: spaced.sla
2005-02-25 19:00 ringerc File Added: before.png
2005-02-25 19:00 ringerc File Added: after.png
2005-02-25 19:00 ringerc Note Added: 0003828
2005-03-02 03:50 louisdesjardins Note Added: 0003848
2005-04-16 15:21 plinnell Note Added: 0004265
2005-04-16 15:21 plinnell Assigned To => fschmid
2005-04-16 15:21 plinnell Status new => assigned
2005-05-26 16:24 deftroyer Note Added: 0004785
2005-06-01 20:05 cbradney Assigned To fschmid => cbradney
2005-06-04 19:15 cbradney Status assigned => resolved
2005-06-04 19:15 cbradney Fixed in Version => 1.3.0cvs
2005-06-04 19:15 cbradney Resolution open => fixed
2005-06-04 19:16 cbradney Note Added: 0004894
2005-06-06 13:24 cbradney Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker